##################################################
#
#          Example of ppp.secret file
#
#  This file is used to authenticate incoming connections.
#  You must ``enable'' either PAP or CHAP in your ppp.conf file.
#  The peer may then use any of the Authname/Authkey pairs listed.
#  Additionally, if ``passwdauth'' is enabled and an entry isn't
#  found in this file, the passwd(5) database is used.
#
#  If the password is specified as "*", look it up in passwd(5).
#  This doesn't work for CHAP connections as ppp must have access
#  to the unencrypted password for CHAP.
#
#  If an IP address or address range is given as the third field, it
#  will be assigned to the peer.  A ``*'' or an empty field may be
#  used as a placeholder if you do not wish to override the IP
#  address, but wish to specify further fields.
#
#  If a label is given as the forth field, it is used when reading
#  the ppp.linkup and ppp.linkdown files.  A ``*'' or an empty field
#  can be used as a placeholder if you do not wish to override the
#  label, but wish to specify further fields.
#
#  If a phone number or list of phone numbers is given as the fifth
#  field, these numbers will be used to call back the client if
#  ``auth'' or ``cbcp'' callback is enabled (see ``set callback'').
#  A ``*'' specifies that the client must specify the number.
#  
# $FreeBSD: src/etc/ppp/ppp.secret.sample,v 1.2.6.3 1999/09/05 11:02:12 peter Exp $
#
##################################################

# Authname Authkey      Peer's IP address        Label   Callback

oscar      OurSecretKey 192.2.18.34
BigBird    X4dWg9327    192.2.18.33/32
fred       *            *                        fred
subnet     *            192.2.18.35-192.2.18.70  subnet
admin      *            *                        *       *
homeworker *            *                        *       1234567
